# memory_pool.h File Reference

Go to the source code of this file.

## Classes
class | tbb::interface6::memory_pool_allocator< T, P >
struct | tbb::interface6::memory_pool_allocator< T, P >::rebind< U >
class | tbb::interface6::memory_pool_allocator< void, P >
| Analogous to std::allocator<void>, as defined in ISO C++ Standard, Section 20.4.1. More...
struct | tbb::interface6::memory_pool_allocator< void, P >::rebind< U >
class | tbb::interface6::memory_pool< Alloc >
| Thread-safe growable pool allocator for variable-size requests. More...
class | tbb::interface6::fixed_pool
## Namespaces
namespace | tbb

| The namespace tbb contains all components of the library.
## Functions
template<typename T , typename U , typename P >
bool | tbb::interface6::operator== (const memory_pool_allocator< T, P > &a, const memory_pool_allocator< U, P > &b)
template<typename T , typename U , typename P >
bool | tbb::interface6::operator!= (const memory_pool_allocator< T, P > &a, const memory_pool_allocator< U, P > &b)

## Detailed Description

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.